import request from '@/helpers/request'
import { state } from '@/state'
import { Tab, Tabs, DropdownMenu, DropdownItem, List } from 'vant'
import {
  computed,
  defineComponent,
  onMounted,
  reactive,
  Transition,
  ref
} from 'vue'
import styles from './index.module.less'
import { useRouter } from 'vue-router'
import ColHeader from '@/components/col-header'
import TheSticky from '@/components/the-sticky'
import bgImg from '../../images/bg-image.png'
import Search from '@/components/col-search'
import CourseItem from './component/CourseItem'
import ColResult from '@/components/col-result'

export default defineComponent({
  name: 'lessonCourseware',
  setup() {
    const router = useRouter()
    const data = reactive<{
      subjectList: any[]
    }>({
      subjectList: [{}]
    })
    const loading = ref(false)
    const finished = ref(false)
    const isError = ref(false)
    const subjectOptValue = ref('全部课件')
    const subjectOpt = computed(() => {
      const _list = data.subjectList.map((item: any) => {
        return {
          text: '全部全部课件11222',
          value: '全部全部课件22222'
        }
      })
      _list.unshift({
        text: '全部课件',
        value: '全部课件'
      })
      return [
        ..._list,
        {
          text: '全部全部课件',
          value: '全部全部课件'
        },
        {
          text: '全2',
          value: '全部2'
        }
      ]
    })
    function onSearch() {
      console.log('onSearch')
    }
    function handleOnRefresh() {
      console.log('handleOnRefresh')
    }
    function FetchList() {}
    return () => {
      return (
        <>
          <div class={styles.sticky}>
            <TheSticky>
              <ColHeader
                hideHeader={false}
                background="transparent"
                isFixed={false}
                border={false}
                title={'云教程'}
                color="#131415"
              ></ColHeader>
              <Search
                onSearch={onSearch}
                type="tenant"
                placeholder={'请输入教材关键词'}
                background="transparent"
                inputBackground="transparent"
                // leftIcon={iconSearch}
                v-slots={{
                  left: () => (
                    <DropdownMenu class={styles.dropdownMenuSub}>
                      <DropdownItem
                        titleClass={styles.titleActive}
                        title={subjectOptValue.value}
                        v-model={subjectOptValue.value}
                        options={subjectOpt.value}
                        onChange={handleOnRefresh}
                      >
                        <div></div>
                      </DropdownItem>
                    </DropdownMenu>
                  )
                }}
              />
            </TheSticky>
            <img class={styles.bgImg} src={bgImg} />
          </div>

          <div class={styles.alumnList}>
            <List
              // loading={loading.value}
              finished={finished.value}
              finished-text={''}
              onLoad={FetchList}
              error={isError.value}
              immediateCheck={false}
            >
              {data.subjectList.length ? (
                <CourseItem
                  class={[styles.courseItem, styles.courseItem1]}
                  list={[
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg:
                        'https://oss.dayaedu.com/gyt/courseware/1709189798128.png',
                      name: '2333333'
                    },
                    {
                      coverImg: '',
                      name: '2333333'
                    }
                  ]}
                  onItemClick={row => console.log(row)}
                />
              ) : (
                !loading.value && (
                  <ColResult
                    tips="暂无教程"
                    classImgSize="SMALL"
                    btnStatus={false}
                  />
                )
              )}
            </List>
          </div>
        </>
      )
    }
  }
})
